Opened 6 years ago

Closed 6 years ago

#43060 closed defect (duplicate)

qgis and pyqt4-devel

Reported by: basmac Owned by: macports-tickets@…
Priority: Normal Milestone:
Component: ports Version: 2.2.1
Keywords: qgis pyqt4 Cc: Veence (Vincent), jea@…
Port: qgis

Description

qgis fails as it depends on py27-pyqt4-devel, which is replaced by py27-pyqt4

port info qgis qgis @2.2.0 (gis) Variants: debug, grass, postgis, [+]postgis2, postgresql91, [+]postgresql92, postgresql93, python26, [+]python27, universal

Description: QGIS is a GIS. It can visualize, inject data into PostGres/PostGIS, or serve as a Qt front-end to Grass. Extended with Python plugins, it

can become a quite powerful GIS on its own.

Homepage: http://www.qgis.org/

Build Dependencies: cmake, pkgconfig, bison, ld64, py27-sip Library Dependencies: qt4-mac, libiconv, expat, openssl, proj, geos, gdal, sqlite3, gsl, qwt52, fcgi, spatialindex, py27-pyqt4-devel, py27-qscintilla,

postgresql92, postgis2

Runtime Dependencies: py27-psycopg2, py27-spatialite Platforms: darwin License: GPL Maintainers: vince@…

port install qgis -py27-pyqt4-devel ---> Computing dependencies for qgis ---> Dependencies to be installed: py27-pyqt4-devel ---> Applying patches to py27-pyqt4-devel Error: org.macports.patch for port py27-pyqt4-devel returned: command execution failed Error: Failed to install py27-pyqt4-devel Please see the log file for port py27-pyqt4-devel for details:

/opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_python_py-pyqt4/py27-pyqt4-devel/main.log

Error: The following dependencies were not installed: py27-pyqt4-devel To report a bug, follow the instructions in the guide:

http://guide.macports.org/#project.tickets

Error: Processing of port qgis failed

Change History (2)

comment:1 Changed 6 years ago by jea@…

Cc: jea@… added

Cc Me!

comment:2 Changed 6 years ago by Veence (Vincent)

Resolution: duplicate
Status: newclosed

See #43111

Note: See TracTickets for help on using tickets.